[meta-security][PATCH 1/2] libseccomp: add COMPATIBLE_HOST


Armin Kuster
 

don't build for ppc, ppc64, mips or aarch64

Signed-off-by: Armin Kuster <akuster808@...>
---
recipes-security/libseccomp/libseccomp_2.1.1.bb | 3 +++
1 file changed, 3 insertions(+)

diff --git a/recipes-security/libseccomp/libseccomp_2.1.1.bb b/recipes-security/libseccomp/libseccomp_2.1.1.bb
index f15c6b0..2d93479 100644
--- a/recipes-security/libseccomp/libseccomp_2.1.1.bb
+++ b/recipes-security/libseccomp/libseccomp_2.1.1.bb
@@ -27,6 +27,9 @@ do_install() {
oe_runmake DESTDIR=${D} install-tests
}

+# MIPS, aarch64, and PowerPC are not supported in this version.
+COMPATIBLE_HOST = '(x86_64|i.86|arm).*-linux'
+
PACKAGES += "${PN}-tests "
FILES_${PN}-tests = "${libdir}/${BPN}/tests/*"
FILES_${PN}-dbg += "${libdir}/${BPN}/tests/.debug/*"
--
1.9.1

Join yocto@lists.yoctoproject.org to automatically receive all group messages.